Last Comment Bug 656152 - Improve string for 32-bit plugin restart
: Improve string for 32-bit plugin restart
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 6
Assigned To: Hernán Rodriguez Colmeiro (:peregrino)
:
Mentors:
Depends on:
Blocks: 628651
  Show dependency treegraph
 
Reported: 2011-05-10 15:59 PDT by Alex Limi (:limi) — Firefox UX Team
Modified: 2011-07-27 06:28 PDT (History)
5 users (show)
dtownsend: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
proposed patch (766 bytes, patch)
2011-05-10 16:07 PDT, Hernán Rodriguez Colmeiro (:peregrino)
dtownsend: review-
Details | Diff | Splinter Review
new patch (2.89 KB, patch)
2011-05-10 16:25 PDT, Hernán Rodriguez Colmeiro (:peregrino)
gavin.sharp: review+
Details | Diff | Splinter Review

Description Alex Limi (:limi) — Firefox UX Team 2011-05-10 15:59:31 PDT
Currently, the string to restart in 32-bit mode for plugin compatibility is a bit overly aggressive. It implies that you *have* to restart.

Current text:
"This page requires a plugin that can only run in 32-bit mode"

Proposed new text:
"This page asks to use a plugin that can only run in 32-bit mode"

The difference is that you can very often view and interact with a page fine (see pages on microsoft.com that seem to insist on using Silverlight no matter whether the content actually uses it), but suggests something you can do in case there's something missing on the page.
Comment 1 Hernán Rodriguez Colmeiro (:peregrino) 2011-05-10 16:07:47 PDT
Created attachment 531489 [details] [diff] [review]
proposed patch

Am I missing something? Who should review this?
Comment 2 Dave Townsend [:mossop] 2011-05-10 16:11:14 PDT
Comment on attachment 531489 [details] [diff] [review]
proposed patch

Sadly yes. Whenever we change strings we also have to change the string's key to make sure that localizers spot that the text has changed and that they need to re-translate it.

Consult the module owners list for people to review patches, see https://wiki.mozilla.org/Modules/Firefox for browser/... stuff
Comment 3 Hernán Rodriguez Colmeiro (:peregrino) 2011-05-10 16:25:19 PDT
Created attachment 531496 [details] [diff] [review]
new patch

new patch, change in string suffix.
Comment 4 Dave Townsend [:mossop] 2011-05-10 16:34:09 PDT
Landed: http://hg.mozilla.org/mozilla-central/rev/d244e7fe6361
Comment 5 George Carstoiu 2011-06-29 06:30:15 PDT
Mozilla/5.0 (X11; Linux i686; rv:7.0a1) Gecko/20110629 Firefox/7.0a1

Can some of you suggest such a page in order for me to verify whether this issue was fixed or not?

Thanks!
Comment 6 Vlad [QA] 2011-07-27 06:28:32 PDT
Can you please post some STR in order to verify this as being resolved.
thanks.

Note You need to log in before you can comment on or make changes to this bug.